nz-spin([nzSpinning]="loading", nzTip="Loading portal")
  nz-card(nzBordered="false")
    form(nz-form, [formGroup]="form", (ngSubmit)="onSubmit()")
      nz-form-item(*ngFor="let output of workflowPortalOutputs")
        nz-form-label([nzFor]="output.displayName", [nzSpan]="24")
          span
            | {{ output.displayName }}
            i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="helpTemplate", nzType="question-circle", theme="outline")
          ng-template(#helpTemplate)
            span {{ output.help }}
        nz-form-control([nzSpan]="24")
          input(*ngIf="hasTextInput(output.type)", nz-input, type="text", [id]="output.displayName", [formControlName]="output.technicalName", placeholder="Enter value")
          input(*ngIf="hasPasswordInput(output.type)", nz-input, type="password", [id]="output.displayName", [formControlName]="output.technicalName", placeholder="Enter value")
          textarea(*ngIf="hasTextArea(output.type)" rows="4", nz-input, [id]="output.displayName", [formControlName]="output.technicalName", placeholder="Enter value")
          input(*ngIf="hasNumberInput(output.type)", nz-input, type="number", [id]="output.displayName", [formControlName]="output.technicalName", placeholder="Enter value")
          nz-select(*ngIf="hasSelectInput(output.type)", [id]="output.displayName", [formControlName]="output.technicalName", placeholder="Enter value")
            nz-option(*ngFor="let selectOption of output.enumValues", [nzValue]="selectOption", [nzLabel]="selectOption")
          ryax-file-input(*ngIf="hasFileInput(output.type)", [id]="output.displayName", [formControlName]="output.technicalName", listType="picture-card")
          ryax-directory-input(*ngIf="hasDirectoryInput(output.type)", [id]="output.displayName", [formControlName]="output.technicalName")
          ryax-table-input(*ngIf="hasTableInput(output.type)", [id]="output.displayName", [formControlName]="output.technicalName", (unsupportedExtension)="onUnsupportedExtension()")
          //nz-alert(*ngIf="hasNoInput(output.type)", nzType="info", nzMessage="Type not handled for the moment", nzShowIcon)
      nz-form-item.right
        nz-form-control
          button(nz-button, nzType="primary", type="submit", [disabled]="form.invalid", [nzLoading]="loading") Submit
